> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Refresh Intent

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /refresh_intents/{id}
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /refresh_intents/{id}:
    get:
      summary: Retrieve Refresh Intent
      operationId: refresh-intents-retrieve
      parameters:
        - name: link_token
          in: query
          description: >-
            The access token of the `Link` that holds the refresh intent to
            retrieve, returned when creating said `Link`.
          required: true
          schema:
            type: string
            default: link_Q0xVGPvijElLRMwE_token_FhsFVurz5q5FycHA5xxhTpzX
        - name: id
          in: path
          required: true
          description: The `id` of the Refresh Intent to get.
          schema:
            type: string
            default: ri_r8VJGnS3pvA3LeRQ
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "id": "ri_2dXqkOKkS9mOvnaW",
                        "object": "refresh_intent",
                        "refreshed_object": "link",
                        "refreshed_object_id": "link_nzwA3XWYiZkg4ojK",
                        "status": "succeeded",
                        "created_at": "2021-08-23T18:22:46.792Z",
                        "type": "only_last"
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: ri_2dXqkOKkS9mOvnaW
                  object:
                    type: string
                    example: refresh_intent
                  refreshed_object:
                    type: string
                    example: link
                  refreshed_object_id:
                    type: string
                    example: link_nzwA3XWYiZkg4ojK
                  status:
                    type: string
                    example: succeeded
                  created_at:
                    type: string
                    example: '2021-08-23T18:22:46.792Z'
                  type:
                    type: string
                    example: only_last
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "error": {
                            "type": "invalid_request_error",
                            "message": "Invalid access token for link: link_nzwA3XWYiZkg4ojK_token_*********************kP68",
                            "code": "invalid_link_token",
                            "param": "link_token",
                            "doc_url": "https://docs.fintoc.com/reference#errores"
                        }
                    }
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        example: invalid_request_error
                      message:
                        type: string
                        example: >-
                          Invalid access token for link:
                          link_nzwA3XWYiZkg4ojK_token_*********************kP68
                      code:
                        type: string
                        example: invalid_link_token
                      param:
                        type: string
                        example: link_token
                      doc_url:
                        type: string
                        example: https://docs.fintoc.com/reference#errores
      deprecated: false

````